• Customermates logo
    CustomermatesDocumentation
  • Introduction
Getting Started
  • Quickstart
  • Core Concepts
Connect your AI
  • Custom connector
  • CLI & editors
  • Rate limits
Integrations
  • MCP
  • Webhooks
  • OpenAPI 3.1.0
  • N8N
Self-Hosting
  • Get Started
  • Architecture & Security
App guide
  • Dashboard
  • Inbox
  • Records
  • Profile
  • Company
  • API Keys
  • Filter Syntax
  • Go back
  1. Introduction
  2. OpenAPI 3.1.0
OverviewAccept a relation requestPOSTBrowse a Sales Navigator listPOSTCalendar ChangedWEBHOOKCalendar Event ChangedWEBHOOKCancel a relation requestPOSTChat DeletedWEBHOOKChat UpdatedWEBHOOKContact CreatedWEBHOOKContact DeletedWEBHOOKContact UpdatedWEBHOOKCreate a contactPOSTCreate a dealPOSTCreate a servicePOSTCreate a taskPOSTCreate a webhook subscriptionPOSTCreate an organizationPOSTCreate many contactsPOSTCreate many dealsPOSTCreate many organizationsPOSTCreate many servicesPOSTCreate many tasksPOSTDeal CreatedWEBHOOKDeal DeletedWEBHOOKDeal UpdatedWEBHOOKDelete a contactDELETEDelete a dealDELETEDelete a serviceDELETEDelete a taskDELETEDelete a webhook subscriptionDELETEDelete an organizationDELETEDelete many contactsDELETEDelete many dealsDELETEDelete many organizationsDELETEDelete many servicesDELETEDelete many tasksDELETEDiscard a message draftDELETEEmail DeletedWEBHOOKEmail ReceivedWEBHOOKGet a calendar by IDGETGet a calendar event by IDGETGet a contact by IDGETGet a deal by IDGETGet a messaging thread by IDGETGet a service by IDGETGet a social profilePOSTGet a task by IDGETGet a webhook subscriptionGETGet activitiesPOSTGet an organization by IDGETGet calendar eventsPOSTGet calendarsPOSTGet contactsPOSTGet contacts configurationGETGet dealsPOSTGet deals configurationGETGet messaging threadsPOSTGet organizationsPOSTGet organizations configurationGETGet own user profileGETGet servicesPOSTGet services configurationGETGet tasksPOSTGet tasks configurationGETGet usersPOSTList or fetch social postsPOSTList own connected accountsGETList post comments or reactionsPOSTList received relation requestsPOSTList Sales Navigator listsPOSTList Sales Navigator search parametersPOSTMessage DeletedWEBHOOKMessage ReactionWEBHOOKMessage ReceivedWEBHOOKMessage UpdatedWEBHOOKOrganization CreatedWEBHOOKOrganization DeletedWEBHOOKOrganization UpdatedWEBHOOKRelation CreatedWEBHOOKRun a Sales Navigator search from a URLPOSTSave a lead or account to a Sales Navigator listPOSTSave a message draftPOSTSearch Sales Navigator companies (accounts)POSTSearch Sales Navigator people (leads)POSTSend a chat messagePOSTSend a relation requestPOSTSend an emailPOSTService CreatedWEBHOOKService DeletedWEBHOOKService UpdatedWEBHOOKStart a chatPOSTTask CreatedWEBHOOKTask DeletedWEBHOOKTask UpdatedWEBHOOKUpdate a contactPUTUpdate a dealPUTUpdate a servicePUTUpdate a taskPUTUpdate an organizationPUTUpdate many contactsPUTUpdate many dealsPUTUpdate many organizationsPUTUpdate many servicesPUTUpdate many tasksPUT

List or fetch social posts

Reads LinkedIn or Instagram posts from a connected account. Omit postId to list an author's posts (authorIdentifier defaults to the account holder); set postId to fetch one post. Requires a connected LinkedIn or Instagram account.

POST
/v1/messaging/social-posts/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

connectedAccountId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
authorIdentifier?string
Default"me"
Length1 <= length
cursor?string
Length1 <= length
offset?integer
Range0 <= value <= 9007199254740991
limit?integer
Default10
Range1 <= value <= 100
postId?string

If set, fetch this single post instead of listing an author's posts

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://customermates.com/api/v1/messaging/social-posts/search" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a"  }'
{
  "data": [
    {
      "object": "Post",
      "id": "string",
      "share_url": "string",
      "created_at": "string",
      "title": "string",
      "text": "string",
      "user_reacted": true,
      "is_repost": true,
      "reactions_counter": [
        {
          "reaction": "string",
          "count": 0,
          "property1": null,
          "property2": null
        }
      ],
      "comments_counter": 0,
      "reposts_counter": 0,
      "author": {
        "id": "string",
        "object": "User",
        "type": "individual",
        "public_identifier": "string",
        "display_name": "string",
        "first_name": "string",
        "last_name": "string",
        "profile_url": "string",
        "public_picture_url": "string",
        "private_picture_download_url": "string",
        "description": "string",
        "specifics": {
          "headline": "string",
          "occupation": "string",
          "industry": "string",
          "location": "string",
          "network_distance": "string",
          "phone_number": "string",
          "property1": null,
          "property2": null
        },
        "property1": null,
        "property2": null
      },
      "property1": null,
      "property2": null
    }
  ],
  "total_count": 0,
  "next_cursor": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"